import { ChangeDetectorRef, OnChanges, SimpleChanges } from "@angular/core";
import { AxiosApiClient, LinkedModelDto, TodoDto } from "@smallstack/axios-api-client";
import * as i0 from "@angular/core";
export declare class TodoListComponent implements OnChanges {
    #private;
    private axiosApiClient;
    private cdr;
    readonly T_TODOS = "todos";
    set forLink(link: LinkedModelDto);
    todos: TodoDto[];
    showTenant: boolean;
    editingEnabled: boolean;
    checkingEnabled: boolean;
    newTodoLabel: string;
    isLoading: boolean;
    currentEditIndex: number;
    constructor(axiosApiClient: AxiosApiClient, cdr: ChangeDetectorRef);
    ngOnChanges(changes: SimpleChanges): void;
    createTodo(): () => Promise<void>;
    toggleTodo(todo: TodoDto): () => Promise<void>;
    saveTodo(todo: TodoDto): () => Promise<void>;
    deleteTodo(index: number): () => Promise<void>;
    private sortTodos;
    private loadTodos;
    static ɵfac: i0.ɵɵFactoryDeclaration<TodoListComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TodoListComponent, "smallstack-todo-list", never, { "forLink": { "alias": "forLink"; "required": false; }; "todos": { "alias": "todos"; "required": false; }; "showTenant": { "alias": "showTenant"; "required": false; }; "editingEnabled": { "alias": "editingEnabled"; "required": false; }; "checkingEnabled": { "alias": "checkingEnabled"; "required": false; }; }, {}, never, never, true, never>;
}
